Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfLabelPositionNegativeType

    java.lang.Object
      java.lang.Enum<OdfLabelPositionNegativeType>
          org.odftoolkit.odfdom.dom.type.chart.OdfLabelPositionNegativeType

All Implemented Interfaces:
  Serializable, Comparable<OdfLabelPositionNegativeType>

    public enum OdfLabelPositionNegativeType

extends Enum<OdfLabelPositionNegativeType>

DOM implementation of OpenDocument attribute chart:label-position-negative.

Enum Constant Summary
`AVOID_OVERLAP`
`BOTTOM`
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`CENTER`
`INSIDE`
`LEFT`
`NEAR_ORIGIN`
`OUTSIDE`
`RIGHT`
`TOP`
`TOP_LEFT`
`TOP_RIGHT`

Method Summary
`static OdfLabelPositionNegativeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLabelPositionNegativeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLabelPositionNegativeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLabelPositionNegativeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfLabelPositionNegativeType TOP

### OUTSIDE

    public static final OdfLabelPositionNegativeType OUTSIDE

### RIGHT

    public static final OdfLabelPositionNegativeType RIGHT

### AVOID_OVERLAP

    public static final OdfLabelPositionNegativeType AVOID_OVERLAP

### LEFT

    public static final OdfLabelPositionNegativeType LEFT

### TOP_RIGHT

    public static final OdfLabelPositionNegativeType TOP_RIGHT

### BOTTOM

    public static final OdfLabelPositionNegativeType BOTTOM

### BOTTOM_LEFT

    public static final OdfLabelPositionNegativeType BOTTOM_LEFT

### TOP_LEFT

    public static final OdfLabelPositionNegativeType TOP_LEFT

### INSIDE

    public static final OdfLabelPositionNegativeType INSIDE

### CENTER

    public static final OdfLabelPositionNegativeType CENTER

### BOTTOM_RIGHT

    public static final OdfLabelPositionNegativeType BOTTOM_RIGHT

### NEAR_ORIGIN

    public static final OdfLabelPositionNegativeType NEAR_ORIGIN

Method Detail

### values

    public static OdfLabelPositionNegativeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLabelPositionNegativeType c : OdfLabelPositionNegativeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLabelPositionNegativeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLabelPositionNegativeType>`
  Returns:
    return the name of OdfLabelPositionNegativeType

### toString

    public static String toString(OdfLabelPositionNegativeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLabelPositionNegativeType, see chart:label-position-negative
  Returns:
    return the name of OdfLabelPositionNegativeType

### enumValueOf

    public static OdfLabelPositionNegativeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLabelPositionNegativeType
  Returns:
    return the constant of OdfLabelPositionNegativeType, see chart:label-position-negative

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.